.nodeDark {
  width: 25px;
  height: 25px;
  background-color: rgb(180, 180, 180);
  outline: 1px solid black;
}

.nodeDark.path {
  background-color: rgb(243, 241, 48);
}

.nodeDark.animatePath {
  animation-name: pathAnimation;
  animation-duration: 0.2s;
  animation-fill-mode: forwards;
}

.nodeDark.visited {
  background-color: rgb(209, 12, 114);
}

.nodeDark.animateVisited {
  animation-name: visitedAnimation, visitedIdleAnimation;
  animation-duration: 1s, 2.5s;
  animation-delay: 0s, 1s;
  animation-fill-mode: forwards;
  animation-iteration-count: 1, infinite;
}

.nodeDark.start {
  background-color: rgb(206, 135, 168);
  animation-name: startFinishAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.nodeDark.finish {
  background-color: rgb(161, 27, 94);
  animation-name: startFinishAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.nodeDark.wall {
  animation-name: wallAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
  background-color: rgb(68, 68, 68);
}

.nodeDark.deletedWall {
  animation-name: deleteWallAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
  background-color: black;
}

.nodeDark.mazeLeader {
  animation-name: mazeLeaderAnimation;
  animation-duration: 0.1s;
  animation-fill-mode: forwards;
}

.nodeDark.mazeBacktrack {
  animation-name: mazeBacktrackAnimation;
  animation-duration: 1.5s;
  animation-fill-mode: forwards;
}

@keyframes visitedAnimation {
  0% {
    background-color: rgb(124, 125, 126);
    transform: scale(0);
    border-radius: 100%;
  }
  70% {
    background-color: rgb(52, 99, 121)
  }
  100% {
    background-color: rgb(88, 139, 163);
    transform: scale(1);
  }
}

@keyframes visitedIdleAnimation {
  0% {
    background-color: rgb(84, 131, 151);
  }
  33% {
    background-color: rgb(86, 133, 155);
  }
  66% {
    background-color: rgb(86, 135, 158);
  }
  100% {
    background-color: rgb(88, 139, 163);
  }
}

@keyframes pathAnimation {
  0% {
    background-color: rgb(84, 131, 151);
  }
  30% {
    background-color: rgb(128, 116, 64);
  }
  100% {
    background-color: rgb(17, 126, 75);
  }
}

@keyframes wallAnimation {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes deleteWallAnimation {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}

@keyframes startFinishAnimation {
  0% {
    transform: scale(0.5);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes mazeLeaderAnimation {
  0% {
    background-color: rgb(45, 116, 69);
  }
  100% {
    background-color: inherit;
  }
}

@keyframes mazeBacktrackAnimation {
  0% {
    background-color: rgb(56, 79, 209);
  }
  100% {
    background-color: inherit;
  }
}
